<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/idMonitoring"
        android:visibility="gone"/>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/White"
        app:cardElevation="5dp"
        app:cardCornerRadius="5dp"
        android:layout_margin="10dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <RelativeLayout
                android:id="@+id/layUploader"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:layout_marginBottom="10dp">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/ivProfile"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/user_farmer" />

                <LinearLayout
                    android:id="@+id/layNama"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_toEndOf="@id/ivProfile"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/uploaderTxt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:fontFamily="@font/futura_std_heavy"
                        android:text="Name"
                        android:textColor="@color/Dark"
                        android:textSize="16sp" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="5dp"
                        android:gravity="center">

                        <TextView
                            android:id="@+id/jabatanLevel1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/round_jabatan_level1"
                            android:fontFamily="sans-serif-light"
                            android:paddingLeft="5dp"
                            android:paddingTop="3dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="10sp"
                            android:visibility="invisible" />

                        <TextView
                            android:id="@+id/jabatanLevel2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/round_jabatan_level2"
                            android:fontFamily="sans-serif-light"
                            android:paddingLeft="5dp"
                            android:paddingTop="3dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="8sp"
                            android:visibility="invisible" />

                        <TextView
                            android:id="@+id/jabatanLevel3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/round_jabatan_level3"
                            android:fontFamily="sans-serif-light"
                            android:paddingLeft="5dp"
                            android:paddingTop="3dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="8sp"
                            android:visibility="invisible" />

                        <TextView
                            android:id="@+id/jabatanLevel4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/round_jabatan_newbie"
                            android:backgroundTint="@color/Yellow"
                            android:fontFamily="sans-serif-light"
                            android:paddingLeft="5dp"
                            android:paddingTop="3dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:text="Pengguna Baru"
                            android:textColor="@color/Dark"
                            android:textSize="10sp"
                            android:visibility="invisible" />
                    </RelativeLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/tvJabatan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/layNama"
                    android:layout_marginStart="10dp"
                    android:layout_toEndOf="@id/ivProfile"
                    android:fontFamily="@font/futura_std_book"
                    android:textColor="@color/Blue2"
                    android:textSize="12sp" />
            </RelativeLayout>

<!--            ===========================================================-->

            <RelativeLayout
                android:id="@+id/layContent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/Gray1"
                android:layout_below="@id/layUploader"
                android:gravity="center">

                <ImageView
                    android:id="@+id/imageData"
                    android:layout_width="wrap_content"
                    android:layout_height="300dp"
                    android:background="@color/Gray1"
                    android:scaleType="centerCrop" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/layContent"
                android:id="@+id/layDate"
                android:gravity="end">

                <TextView
                    android:id="@+id/dayTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_marginEnd="10dp"
                    android:fontFamily="@font/futura_book"
                    android:gravity="end"
                    android:text="0 day"
                    android:textColor="@color/Dark"
                    android:textSize="12sp" />
            </RelativeLayout>

            <TextView
                android:id="@+id/tvDescription"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/layDate"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:layout_marginBottom="10dp"
                android:fontFamily="@font/futura_std_book"
                android:text="null"
                android:textColor="@color/Dark"
                android:textSize="14sp" />


            <RelativeLayout
                android:id="@+id/layLocation"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tvDescription"
                android:background="@color/Dark">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_margin="5dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:src="@drawable/ic_pin" />

                    <TextView
                        android:id="@+id/distrikPost"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Distrik"
                        android:textColor="@color/White"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:paddingLeft="8dp"
                        android:paddingRight="8dp"
                        android:text="|"
                        android:textColor="@color/White"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/kebunPost"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Kebun"
                        android:textColor="@color/White"
                        android:textSize="12sp" />
                </LinearLayout>
            </RelativeLayout>
<!--            ======================================================================-->

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/layDateUpload"
                android:layout_below="@id/layContent">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingTop="5dp"
                    android:paddingEnd="5dp"
                    android:paddingStart="10dp"
                    android:paddingBottom="5dp"
                    android:gravity="center">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Dilihat"
                        android:textColor="@color/Dark"
                        android:fontFamily="@font/futura_thin"
                        android:textSize="14sp" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="14sp"
                        android:text="0"
                        android:layout_marginStart="5dp"
                        android:fontFamily="@font/futura_book"
                        android:textColor="@color/Dark"
                        android:id="@+id/countSee"/>
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:layout_below="@id/layUploader"
                android:gravity="end">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:layout_marginTop="2dp"
                        android:id="@+id/icComment"
                        android:src="@drawable/ic_baseline_mark_chat_unread_24"
                        app:tint="@color/White" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="12sp"
                        android:text="0"
                        android:layout_marginStart="5dp"
                        android:fontFamily="@font/lato_semi_bold"
                        android:textColor="@color/Dark"
                        android:id="@+id/countComment"/>
                </LinearLayout>
            </RelativeLayout>

        </RelativeLayout>
    </androidx.cardview.widget.CardView>

</RelativeLayout>